Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Class IBMFakeTrustSocketFactory.FakeX509TrustManager

    java.lang.Object
      org.apache.axis.components.net.IBMFakeTrustSocketFactory.FakeX509TrustManager

All Implemented Interfaces:
  com.ibm.net.ssl.TrustManager, com.ibm.net.ssl.X509TrustManager

Enclosing class:
  IBMFakeTrustSocketFactory

public static class IBMFakeTrustSocketFactory.FakeX509TrustManager
extends java.lang.Object
implements com.ibm.net.ssl.X509TrustManager

Class FakeX509TrustManager

Field Summary
`protected static org.apache.commons.logging.Log` | `log` Field log

Constructor Summary
`IBMFakeTrustSocketFactory.FakeX509TrustManager()`

Method Summary
`java.security.cert.X509Certificate[]` | `getAcceptedIssuers()` Method getAcceptedIssuers
`boolean` | `isClientTrusted(java.security.cert.X509Certificate[] chain)` Method isClientTrusted
`boolean` | `isServerTrusted(java.security.cert.X509Certificate[] chain)` Method isServerTrusted

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  Field log

Constructor Detail

### IBMFakeTrustSocketFactory.FakeX509TrustManager

    public IBMFakeTrustSocketFactory.FakeX509TrustManager()

Method Detail

### isClientTrusted

    public boolean isClientTrusted(java.security.cert.X509Certificate[] chain)

  Method isClientTrusted

  Specified by:
    `isClientTrusted` in interface `com.ibm.net.ssl.X509TrustManager`
  Parameters:
    `chain` -
  Returns:

### isServerTrusted

    public boolean isServerTrusted(java.security.cert.X509Certificate[] chain)

  Method isServerTrusted

  Specified by:
    `isServerTrusted` in interface `com.ibm.net.ssl.X509TrustManager`
  Parameters:
    `chain` -
  Returns:

### getAcceptedIssuers

    public java.security.cert.X509Certificate[] getAcceptedIssuers()

  Method getAcceptedIssuers

  Specified by:
    `getAcceptedIssuers` in interface `com.ibm.net.ssl.X509TrustManager`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.